Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -8344,13 +15063,24 @@
   0x0529   ArtFilter                            int16u[4]
   0x052c   MagicFilter                          int16u[4]
+  0x052d   PictureModeEffect                    int16s[3]
+  0x052e   ToneLevel                            yes
+  0x052f   ArtFilterEffect                      int16u[20]
+  0x0532   ColorCreatorEffect                   int16s[6]
+  0x0537   MonochromeProfileSettings            int16s[6]
+  0x0538   FilmGrainEffect                      int16s
+  0x0539   ColorProfileSettings                 int16s[14]
+  0x053a   MonochromeVignetting                 int16s
+  0x053b   MonochromeColor                      int16s
   0x0600   DriveMode                            int16u[n]~
   0x0601   PanoramaMode                         int16u~
   0x0603   ImageQuality2                        int16u
   0x0604   ImageStabilization                   int32u
+  0x0804   StackedImage                         int32u[2]
   0x0900   ManometerPressure                    int16u
   0x0901   ManometerReading                     int32s[2]
   0x0902   ExtendedWBDetect                     int16u
-  0x0903   LevelGaugeRoll                       int16u
-  0x0904   LevelGaugePitch                      int16u
+  0x0903   RollAngle                            int16s[2]
+  0x0904   PitchAngle                           int16s[2]
+  0x0908   DateTimeUTC                          string
 
 =head3 Olympus RawDevelopment Tags
@@ -8400,4 +15130,5 @@
   0x0119   RawDevAutoGradation                  int16u
   0x0120   RawDevPMNoiseFilter                  int16u
+  0x0121   RawDevArtFilter                      int16u[4]
 
 =head3 Olympus ImageProcessing Tags
@@ -8448,9 +15179,13 @@
   0x0614   CropWidth                            int32u
   0x0615   CropHeight                           int32u
+  0x0635   UnknownBlock1?                       undef
+  0x0636   UnknownBlock2?                       undef
+  0x0805   SensorCalibration                    int16s[2]
   0x1010   NoiseReduction2                      int16u
   0x1011   DistortionCorrection2                int16u
   0x1012   ShadingCompensation2                 int16u
   0x101c   MultipleExposureMode                 int16u[2]
-  0x1103   UnknownBlock?                        undef
+  0x1103   UnknownBlock3?                       undef
+  0x1104   UnknownBlock4?                       undef
   0x1112   AspectRatio                          int8u[2]
   0x1113   AspectFrame                          int16u[4]
@@ -8460,4 +15195,8 @@
   0x1203   FaceDetectFrameSize                  int16u[6]
   0x1207   FaceDetectFrameCrop                  int16s[12]
+  0x1306   CameraTemperature                    no
+  0x1900   KeystoneCompensation                 int8u[2]
+  0x1901   KeystoneDirection                    int8u[2]
+  0x1906   KeystoneValue                        int16s[3]
 
 =head3 Olympus FocusInfo Tags
@@ -8476,4 +15215,5 @@
   0x0305   FocusDistance                        rational64u
   0x0308   AFPoint                              int16u
+  0x0328   AFInfo                               Olympus AFInfo
   0x1201   ExternalFlash                        int16u[2]
   0x1203   ExternalFlashGuideNumber?            rational64s
@@ -8482,7 +15222,14 @@
   0x1208   InternalFlash                        int16u[n]
   0x1209   ManualFlash                          int16u[2]~
+  0x120a   MacroLED                             int16u
   0x1500   SensorTemperature                    int16s
   0x1600   ImageStabilization                   undef~
 
+=head3 Olympus AFInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
 =head3 Olympus FE Tags
 
@@ -8496,5 +15243,5 @@
 =head3 Olympus RawInfo Tags
 
-These tags are found only in ORF images of some models (ie. C8080WZ).
+These tags are found only in ORF images of some models (eg. C8080WZ).
 
   Tag ID   Tag Name                             Writable
@@ -8516,5 +15263,5 @@
   0x0311   CoringValues                         int16u[11]
   0x0600   BlackLevel2                          int16u[4]
-  0x0601   YCbCrCoefficients                    N
+  0x0601   YCbCrCoefficients                    no
   0x0611   ValidPixelDepth                      int16u[2]
   0x0612   CropLeft                             int16u
@@ -8543,4 +15290,17 @@
   [no tags known]
 
+=head3 Olympus DSS Tags
+
+Information extracted from DSS/DS2 files and the ID3 XOLY frame of MP3 files
+written by some Olympus voice recorders.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    Model                                no
+     38    StartTime                            no
+     50    EndTime                              no
+     62    Duration                             no
+    798    Comment                              no
+
 =head3 Olympus MOV1 Tags
 
@@ -8548,12 +15308,12 @@
 D540Z, D595Z, FE100, FE110, FE115, FE170 and FE200.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     38    ExposureUnknown?                     N
-     42    FNumber                              N
-     50    ExposureCompensation                 N
-     72    FocalLength                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     38    ExposureUnknown?                     no
+     42    FNumber                              no
+     50    ExposureCompensation                 no
+     72    FocalLength                          no
 
 =head3 Olympus MOV2 Tags
@@ -8562,13 +15322,13 @@
 FE120, FE140 and FE190.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     54    ExposureTime                         N
-     58    FNumber                              N
-     66    ExposureCompensation                 N
-     88    FocalLength                          N
-    193    ISO                                  N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     54    ExposureTime                         no
+     58    FNumber                              no
+     66    ExposureCompensation                 no
+     88    FocalLength                          no
+    193    ISO                                  no
 
 =head3 Olympus MP4 Tags
@@ -8577,10 +15337,105 @@
 u7040 and u9010.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     40    FNumber                              N
-     48    ExposureCompensation                 N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     40    FNumber                              no
+     48    ExposureCompensation                 no
+    104    MovableInfo                          Olympus MovableInfo
+    114    MovableInfo                          Olympus MovableInfo
+
+=head3 Olympus MovableInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ISO                                  no
+     44    EncoderVersion                       no
+     60    DecoderVersion                       no
+    131    Thumbnail                            Olympus Thumbnail
+
+=head3 Olympus Thumbnail Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    ThumbnailWidth                       no
+      2    ThumbnailHeight                      no
+      3    ThumbnailLength                      no
+      4    ThumbnailOffset                      no
+
+=head3 Olympus MOV3 Tags
+
+QuickTime information found in the TAGS atom of MOV videos from the E-M5.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'OLYM'   OlympusAtom                          Olympus OLYM2
+
+=head3 Olympus OLYM2 Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'prms'   MakerNotes                           Olympus prms
+  'scrn'   PreviewInfo                          Olympus scrn2
+  'thmb'   ThumbInfo                            Olympus thmb2
+
+=head3 Olympus prms Tags
+
+Information extracted from the "prms" atom in MOV videos from Olympus models
+such as the OM E-M5.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     18    Make                                 no
+     44    Model                                no
+    131    DateTime1                            no
+    157    DateTime2                            no
+
+=head3 Olympus scrn2 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    OlympusPreview                       Olympus scrn
+
+=head3 Olympus scrn Tags
+
+Information extracted from the "scrn" atom of Olympus MP4 videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PreviewImageLength                   no
+      4    PreviewImage                         no
+
+=head3 Olympus thmb2 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ThumbnailWidth                       no
+      2    ThumbnailHeight                      no
+      4    ThumbnailLength                      no
+      8    ThumbnailImage                       no
+
+=head3 Olympus thmb Tags
+
+Information extracted from the "thmb" atom of Olympus MP4 videos.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ThumbnailLength                      no
+      4    ThumbnailImage                       no
+
+=head3 Olympus OLYM Tags
+
+Tags found in the OLYM atom of MP4 videos from the TG-810.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     14    Make                                 no
+     40    Model                                no
+     90    FNumber                              no
+    127    DateTimeOriginal                     no
+    153    DateTime2                            no
+    265    ThumbnailWidth                       no
+    267    ThumbnailHeight                      no
 
 =head3 Olympus AVI Tags
@@ -8588,13 +15443,12 @@
 This information is found in Olympus AVI videos.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     18    Make                                 N
-     44    ModelType                            N
-     94    FNumber                              N
-    131    DateTime1                            N
-    157    DateTime2                            N
-    301    ThumbnailLength                      N
-    305    ThumbnailImage                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     18    Make                                 no
+     44    Model                                no
+     94    FNumber                              no
+    131    DateTime1                            no
+    157    DateTime2                            no
+    297    ThumbInfo                            Olympus thmb2
 
 =head3 Olympus WAV Tags
@@ -8603,28 +15457,28 @@
 like the LS-5, LS-10, LS-11.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     12    Model                                N
-     28    FileNumber                           N
-     38    DateTimeOriginal                     N
-     50    DateTimeEnd                          N
-     62    RecordingTime                        N
-    512    Duration                             N
-    522    Index01                              N
-    532    Index02                              N
-    542    Index03                              N
-    552    Index04                              N
-    562    Index05                              N
-    572    Index06                              N
-    582    Index07                              N
-    592    Index08                              N
-    602    Index09                              N
-    612    Index10                              N
-    622    Index11                              N
-    632    Index12                              N
-    642    Index13                              N
-    652    Index14                              N
-    662    Index15                              N
-    672    Index16                              N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    Model                                no
+     28    FileNumber                           no
+     38    DateTimeOriginal                     no
+     50    DateTimeEnd                          no
+     62    RecordingTime                        no
+    512    Duration                             no
+    522    Index01                              no
+    532    Index02                              no
+    542    Index03                              no
+    552    Index04                              no
+    562    Index05                              no
+    572    Index06                              no
+    582    Index07                              no
+    592    Index08                              no
+    602    Index09                              no
+    612    Index10                              no
+    622    Index11                              no
+    632    Index12                              no
+    642    Index13                              no
+    652    Index14                              no
+    662    Index15                              no
+    672    Index16                              no
 
 =head2 Panasonic Tags
@@ -8643,9 +15497,10 @@
   0x001f   ShootingMode                         int16u
   0x0020   Audio                                int16u
-  0x0021   DataDump                             N
+  0x0021   DataDump                             no
   0x0023   WhiteBalanceBias                     int16s
   0x0024   FlashBias                            int16s
   0x0025   InternalSerialNumber                 undef[16]
   0x0026   PanasonicExifVersion                 undef
+  0x0027   VideoFrameRate                       int16u
   0x0028   ColorEffect                          int16u
   0x0029   TimeSincePowerOn                     int32u
@@ -8662,9 +15517,10 @@
   0x0035   ConversionLens                       int16u
   0x0036   TravelDay                            int16u
+  0x0038   BatteryLevel                         int16u
   0x0039   Contrast                             int16u
   0x003a   WorldTimeLocation                    int16u
   0x003b   TextStamp                            int16u
   0x003c   ProgramISO                           int16u
-  0x003d   AdvancedSceneMode                    int16u
+  0x003d   AdvancedSceneType                    int16u
   0x003e   TextStamp                            int16u
   0x003f   FacesDetected                        int16u
@@ -8672,6 +15528,11 @@
   0x0041   Sharpness                            int16u
   0x0042   FilmMode                             int16u
-  0x0046   WBAdjustAB                           int16u
-  0x0047   WBAdjustGM                           int16u
+  0x0043   JPEGQuality                          int16u
+  0x0044   ColorTempKelvin                      int16u
+  0x0045   BracketSettings                      int16u
+  0x0046   WBShiftAB                            int16u
+  0x0047   WBShiftGM                            int16u
+  0x0048   FlashCurtain                         int16u
+  0x0049   LongExposureNoiseReduction           int16u
   0x004b   PanasonicImageWidth                  int32u
   0x004c   PanasonicImageHeight                 int32u
@@ -8681,6 +15542,8 @@
   0x0052   LensSerialNumber                     string
   0x0053   AccessoryType                        string
+  0x0054   AccessorySerialNumber                string
   0x0059   Transform                            undef[4]
   0x005d   IntelligentExposure                  int16u
+  0x0060   LensFirmwareVersion                  undef[4]
   0x0061   FaceRecInfo                          Panasonic FaceRecInfo
   0x0062   FlashWarning                         int16u
@@ -8694,12 +15557,57 @@
   0x006f   Landmark                             undef
   0x0070   IntelligentResolution                int8u
+  0x0076   HDRShot                              int16u
+  0x0077   BurstSpeed                           int16u
   0x0079   IntelligentD-Range                   int16u
+  0x007c   ClearRetouch                         int16u
+  0x0080   City2                                undef
+  0x0086   ManometerPressure                    int16u
+  0x0089   PhotoStyle                           int16u
+  0x008a   ShadingCompensation                  int16u
+  0x008b   WBShiftIntelligentAuto               int16u
+  0x008c   AccelerometerZ                       int16u
+  0x008d   AccelerometerX                       int16u
+  0x008e   AccelerometerY                       int16u
+  0x008f   CameraOrientation                    int8u
+  0x0090   RollAngle                            int16u
+  0x0091   PitchAngle                           int16u
+  0x0092   WBShiftCreativeControl               int8u
+  0x0093   SweepPanoramaDirection               int8u
+  0x0094   SweepPanoramaFieldOfView             int16u
+  0x0096   TimerRecording                       int8u
+  0x009d   InternalNDFilter                     rational64u
+  0x009e   HDR                                  int16u
+  0x009f   ShutterType                          int16u
+  0x00a1   FilterEffect                         rational64u[0.5]
+  0x00a3   ClearRetouchValue                    rational64u
+  0x00a7   OutputLUT                            yes
+  0x00ab   TouchAE                              int16u
+  0x00ac   MonochromeFilterEffect               int16u
+  0x00ad   HighlightShadow                      int16u[2]
+  0x00af   TimeStamp                            string
+  0x00b3   VideoBurstResolution                 int16u
+  0x00b4   MultiExposure                        int16u
+  0x00b9   RedEyeRemoval                        int16u
+  0x00bb   VideoBurstMode                       int32u
+  0x00bc   DiffractionCorrection                int16u
+  0x00bd   FocusBracket                         int16u
+  0x00be   LongExposureNRUsed                   int16u
+  0x00bf   PostFocusMerging                     int32u[2]
+  0x00c1   VideoPreburst                        int16u
+  0x00c4   LensTypeMake                         int16u
+  0x00c5   LensTypeModel                        int16u
+  0x00ca   SensorType                           int16u
+  0x00d1   ISO                                  int32u
+  0x00d2   MonochromeGrainEffect                int16u
+  0x00d6   NoiseReductionStrength               rational64s
   0x0e00   PrintIM                              PrintIM
+  0x2003   TimeInfo                             Panasonic TimeInfo
   0x8000   MakerNoteVersion                     undef
   0x8001   SceneMode                            int16u
+  0x8002   HighlightWarning                     int16u
+  0x8003   DarkFocusEnvironment                 int16u
   0x8004   WBRedLevel                           int16u
   0x8005   WBGreenLevel                         int16u
   0x8006   WBBlueLevel                          int16u
-  0x8007   FlashFired                           int16u
   0x8008   TextStamp                            int16u
   0x8009   TextStamp                            int16u
@@ -8711,6 +15619,6 @@
 Face detection position information.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    NumFacePositions                     int16u
       1    Face1Position                        int16u[4]
@@ -8726,6 +15634,6 @@
 user-supplied set of known faces.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    FacesRecognized                      int16u
       4    RecognizedFace1Name                  string[20]
@@ -8739,4 +15647,11 @@
     128    RecognizedFace3Age                   string[20]
 
+=head3 Panasonic TimeInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PanasonicDateTime                    undef[8]
+     16    TimeLapseShotNumber                  int32u
+
 =head3 Panasonic Leica2 Tags
 
@@ -8749,5 +15664,5 @@
   0x0303   SerialNumber                         int32u
   0x0304   WhiteBalance                         int16u
-  0x0310   LensInfo                             Panasonic LensInfo
+  0x0310   LensType                             int32u
   0x0311   ExternalSensorBrightnessValue        rational64s
   0x0312   MeasuredLV                           rational64s
@@ -8765,11 +15680,4 @@
   0x0340   ImageIDNumber                        int32u
 
-=head3 Panasonic LensInfo Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    LensType                             int32u & 0xfffffffc
-    0.1    FrameSelector                        int32u & 0x03
-
 =head3 Panasonic Leica3 Tags
 
@@ -8778,5 +15686,12 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
+  0x000b   SerialInfo                           Panasonic SerialInfo
   0x000d   WB_RGBLevels                         int16u[3]
+
+=head3 Panasonic SerialInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    SerialNumber                         no
 
 =head3 Panasonic Leica4 Tags
@@ -8819,35 +15734,72 @@
 =head3 Panasonic Data1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     22    LensType                             int32u[0.25]
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     22    LensType                             int32u
 
 =head3 Panasonic Data2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
 =head3 Panasonic Leica5 Tags
 
-This information is written by the X1.
+This information is written by the X1, X2, X VARIO and T.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
+  0x0303   LensType                             string
+  0x0305   SerialNumber                         int32u
   0x0407   OriginalFileName                     string
   0x0408   OriginalDirectory                    string
+  0x040a   FocusInfo                            Panasonic FocusInfo
   0x040d   ExposureMode                         int8u[4]
+  0x0410   ShotInfo                             Panasonic ShotInfo
   0x0412   FilmMode                             string
   0x0413   WB_RGBLevels                         rational64u[3]
+  0x0500   InternalSerialNumber                 undef
+
+=head3 Panasonic FocusInfo Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    FocusDistance                        int16u
+      1    FocalLength                          int16u
+
+=head3 Panasonic ShotInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FileIndex                            int16u
 
 =head3 Panasonic Leica6 Tags
 
-This information is written by the S2 (as a trailer in JPEG images).
+This information is written by the S2 and M (Typ 240), as a trailer in JPEG
+images.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
   0x0300   PreviewImage                         undef
-  0x0301   UnknownBlock?                        N
+  0x0301   UnknownBlock?                        no
   0x0303   LensType                             string
+  0x0304   FocusDistance                        int32u
+  0x0311   ExternalSensorBrightnessValue        rational64s
+  0x0312   MeasuredLV                           rational64s
+  0x0320   FirmwareVersion                      int8u[4]
+  0x0321   LensSerialNumber                     int32u
+
+=head3 Panasonic Leica9 Tags
+
+This information is written by the Leica S (Typ 007) and M10 models.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0304   FocusDistance                        int32u
+  0x0311   ExternalSensorBrightnessValue        rational64s
+  0x0312   MeasuredLV                           rational64s
+  0x034c   UserProfile                          string
+  0x0359   ISOSelected                          int32s
+  0x035a   FNumber                              int32s
 
 =head3 Panasonic Type2 Tags
@@ -8857,8 +15809,37 @@
 iPalm.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    MakerNoteType                        N
-      3    Gain                                 N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    MakerNoteType                        no
+      3    Gain                                 no
+
+=head3 Panasonic PANA Tags
+
+Tags extracted from the PANA and LEIC user data found in MP4 videos from
+various Panasonic and Leica models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+      4    Model                                no
+     12    Model                                no
+     16    JPEG-likeData                        EXIF
+     22    Model                                no
+     52    Version1                             no
+     62    Version2                             no
+     80    MakerNoteLeica5                      Panasonic Leica5
+     88    ThumbnailWidth                       no
+     90    ThumbnailHeight                      no
+     92    ThumbnailImage                       no
+   1334    ThumbnailWidth                       no
+   1338    ThumbnailHeight                      no
+   1342    ThumbnailLength                      no
+   1350    ThumbnailImage                       no
+   1358    ThumbnailWidth                       no
+   1362    ThumbnailHeight                      no
+   1366    ThumbnailLength                      no
+   1374    ThumbnailImage                       no
+  16488    ExifData                             EXIF
+  16512    ExifData                             EXIF
 
 =head2 Pentax Tags
@@ -8870,5 +15851,5 @@
   0x0000   PentaxVersion                        int8u[4]
   0x0001   PentaxModelType                      int16u
-  0x0002   PreviewImageSize                     int16u[2]~
+  0x0002   PreviewImageSize                     int16u[2]
   0x0003   PreviewImageLength                   int32u*
   0x0004   PreviewImageStart                    int32u*
@@ -8882,5 +15863,6 @@
   0x000d   FocusMode                            int16u
   0x000e   AFPointSelected                      int16u
-  0x000f   AFPointsInFocus                      int16u
+  0x000f   AFPointsInFocus                      int32u
+           AFPointsInFocus                      int16u
   0x0010   FocusPosition                        int16u
   0x0012   ExposureTime                         int32u
@@ -8889,4 +15871,5 @@
   0x0015   LightReading                         int16u
   0x0016   ExposureCompensation                 int16u
+           ExposureCompensation                 int16u[2]
   0x0017   MeteringMode                         int16u
   0x0018   AutoBracketing                       int16u[n]
@@ -8909,4 +15892,5 @@
   0x0029   FrameNumber                          int32u
   0x002d   EffectiveLV                          int16u
+           EffectiveLV                          int32u
   0x0032   ImageEditing                         undef[4]
   0x0033   PictureMode                          int8u[3]
@@ -8916,7 +15900,8 @@
   0x0038   ImageAreaOffset                      int16u[2]
   0x0039   RawImageSize                         int16u[2]~
-  0x003c   AFPointsInFocus                      N
+  0x003c   AFPointsInFocus                      no
+  0x003d   DataScaling                          int16u
   0x003e   PreviewImageBorders                  int8u[4]
-  0x003f   LensType                             int8u[2]
+  0x003f   LensRec                              Pentax LensRec
   0x0040   SensitivityAdjust                    int16u
   0x0041   ImageEditCount                       int16u
